Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229509 - kmodtool shipped in RHEL5 redhat-rpm-config adds target arch dependency
Summary: kmodtool shipped in RHEL5 redhat-rpm-config adds target arch dependency
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-rpm-config
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jon Masters
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-21 17:22 UTC by Jon Masters
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-10 09:28:24 UTC


Attachments (Terms of Use)

Description Jon Masters 2007-02-21 17:22:35 UTC
Description of problem:

kmodtool shipped in RHEL5 redhat-rpm-config adds target arch dependency to
source RPM. This is causing problems for dkms (and probably other tools too).

Comment 2 Jon Masters 2007-04-10 09:28:24 UTC
Per upstream discussions on this topic, I'm closing as NOTABUG. However, if you
disagree or want to debate other options, please reopen and let me know.

Comment 3 Matt Domsch 2007-04-10 23:20:02 UTC
jcm, can you include a pointer to those discussions?

Thanks,
Matt

Comment 4 Jon Masters 2007-04-11 04:33:21 UTC
I'm refering to the email thread between you, me and Thorsten where this came up
- unless I'm greatly missing something. Am I completely mistaken here? I'm
pretty sure we'd debated this in the context of DKMS for the last release. You
had mentioned about build systems and the problems of adding the target arch
dependency and I thought we'd basically agreed to keep it as it was.

Jon.



Note You need to log in before you can comment on or make changes to this bug.